/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
package dltest;

import doubleLinkList.*;
import dltest.*;
import java.lang.*;

class DLTest {
    public static void main(String[] args) {new DLTest(); }
    private void printList(DLList list,String message) {
	System.out.println(message + " count = " + list.getCount());
	for(DLStringNode node = (DLStringNode)list.getFirst();
	node!=null; node = (DLStringNode)list.getNext(node))
	{
	    System.out.println(node.getObject());
	}
	for(DLStringNode node = (DLStringNode)list.getLast();
	node!=null; node = (DLStringNode)list.getPrev(node))
	{
	    System.out.println(node.getObject());
	}
    }

    public DLTest()
    {
	String str1 = new String("String 1");
	String str2 = new String("String 2");
	DLStringNode node1 = new DLStringNode();
	DLStringNode node2 = new DLStringNode();
	DLStringNode node3 = new DLStringNode();
	node1.setObject(str1);
	node2.setObject(str2);
	node3.setObject("String 3");
	DLList list = new DLList();
	list.addEnd(node1);
	list.addEnd(node2);
	list.addEnd(node3);
	printList(list,"create list with three strings");
	DLStringNode node5 = new DLStringNode();
	node5.setObject("String 5");
	DLStringNode node4 = new DLStringNode();
	node4.setObject("String 4");
	DLStringNode node0 = new DLStringNode();
	node0.setObject("String 0");
	list.addAfter(node3,node5);
	list.addAfter(node3,node4);
	list.addBefore(node1,node0);
	printList(list,"added three more strings");
	list.removeNode(node2);
	printList(list,"removed string 2");
	list.addBefore(node3,node2);
	printList(list,"put it back");
	list.empty();
	printList(list,"empty list");
    }
}
