/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
package doubleLinkList;
/**
DLNode is an abstract class. Thus a derived class must be created.
The derived class should add two methods (getObject and setObject)
and a place to hold the reference to an object. For example:
<PRE>
class StringListNode extends DLNode {
    public final String getObject()
    { return(this.obj);}
    public final void setObject(String obj)
    {
        this.obj = obj;
    }
    private String obj;
}
</PRE>
*/

public abstract class DLNode extends Object {
    public DLNode()
    {
    }
    DLNode next;
    DLNode prev;
}
